@import 'variable';

.header {
  padding: 30px 0;
}

.header-container {
  display: flex;
}

.navbar {
  flex: 1;
}

.navbar-nav {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  height: 100%;
}

.nav-link {
  font: 700 14px/17px $mainFont;
  color: #0F2336;
  text-decoration: none;
  padding: 15px 20px;
  margin: 0 18px;
  transition: $transitionDuration;

  &:hover {
    color: #0cc;
  }
}

.header-button {
  color: #fff;
  background: #0F2336;
  border: 1px solid #0F2336;
  border-radius: 8px;
  padding: 16px 26px;
  margin-right: 0;
  transition: $transitionDuration;

  &:hover {
    border-color: #0cc;
    background: #0cc;
    color: #000;
  }
}

.section-main-container {
  padding-top: 85px;
  padding-bottom: 185px;
  position: relative;
}

.section-main-title {
  font: 700 55px/76px $mainFont;
  letter-spacing: 1.11px;
  margin-bottom: 45px;
  position: relative;
  z-index: 1;
}

.highlighted-text-green {
  color: #00CCCC;
}

.highlighted-text-orange {
  color: #F3AF47;
}

.section-main-button {
  text-decoration: none;
  position: relative;
  padding-right: 70px;
  z-index: 1;

  &:hover {
    .section-main-button-arrow {
      right: 20px;
      transition: $transitionDuration;
    }
  }
}

.section-main-button-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 30px;
}

.section-main-image {
  position: absolute;
  bottom: 0;
  z-index: 0;
}

.section-advantages {
  padding: 100px 0 120px;
}

.advantages {
  display: flex;
}

.advantage {
  flex: 1;
  margin-bottom: 40px;

  & + & {
    margin-left: 50px;
  }
}

.advantage-image-container {
  margin-bottom: 30px;
}

.advantage-title {
  margin-bottom: 12px;
}

.advantage-image-container {
  height: 105px;
  width: 105px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;

  &:before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    content: '';
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: linear-gradient(160.47deg, rgba(0, 201, 201, 0.147) 15.15%, rgba(0, 201, 201, 0.699) 93.19%);
    opacity: 0.2;
  }
}

.section-features {
  background: #F4F5F6;
  margin-bottom: 190px;
}

.section-features-container {
  display: flex;
}

.feature {
  display: flex;
  background: #FFFFFF;
  box-shadow: 0 8px 32px rgba(15, 35, 54, 0.06);
  border-radius: 8px;
  padding: 25px;
  margin-right: -60px;
  margin-bottom: 30px;
  position: relative;
  z-index: 1;

  &:first-child {
    margin-top: -40px;
  }

  &:last-child {
     margin-bottom: -30px;
  }
}

.section-features-image-container {
  position: relative;
  width: 100%;
  z-index: 0;
}

.section-features-image {
  position: absolute;
  bottom: 0;
  right: 0;
}

.feature-indent {
  position: relative;
  left: 40px;
  z-index: 1;
}

.feature-content {
  transition: $transitionDuration;
  display: flex;
}

.feature-image-container {
  margin-right: 20px;
}

.feature-image-wrapper {
  width: 50px;
  height: 50px;
  background: #F6F7F8;
  border-radius: 8px;
  position: relative;
}

.feature-image {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.feature-title {
  margin-top: 10px;
  margin-bottom: 20px;
}

.feature-description {
  margin-bottom: 20px;
}

.section-contact-image-container {
  text-align: center;
  margin-bottom: 15px;
}

.section-contact-form,
.section-contact-links {
  max-width: 570px;
  margin: 0 auto;
  display: flex;
}

.section-contact-title {
  font: 900 50px/60px $mainFont;
  text-align: center;
  color: #0F2336;
  margin-bottom: 20px;
}

.section-contact-input {
  text-align: center;
  padding: 15px 110px;
  margin-right: 20px;
  margin-bottom: 20px;
}

.section-contact-button {
  cursor: pointer;
  color: #0F2336;
  padding: 15px 35px;
  margin-bottom: 20px;
  appearance: none;
}

@include placeholder {
  color: rgba(0, 0, 0, 0.35);
}

.section-contact-link-container {
  & + & {
    margin-left: 24px;
  }
}

.section-contact {
  margin-bottom: 110px;
}

.footer {
  background: #0F2336;
  position: relative;
  padding: 55px 0;
}

.footer-image-left,
.footer-image-right {
  position: absolute;
  z-index: 0;
}

.footer-image-left {
  top: -28px;
  left: 0;
}

.footer-image-right {
  bottom: 0;
  right: 0;
}

.footer-links-title {
  font: 700 12px/20px $mainFont;
  letter-spacing: 0.1px;
  color: #00CCCC;
  margin-bottom: 15px;
}

.footer-link {
  font: 400 14px/20px $mainFont;
  letter-spacing: 0.39px;
  color: rgba(255, 255, 255, 0.7);
  text-decoration: none;
  transition: $transitionDuration;
  
  &:hover {
    color: #0cc;
  }
}

.footer-link-container {
  margin-bottom: 5px;
}

.footer-container {
  display: flex;
  padding: 0 105px;
  position: relative;
  z-index: 1;
}

.footer-logo-container {
  flex: 1;
}

.footer-links-container {
  padding-top: 30px;
  margin-bottom: 30px;

  & + & {
    margin-left: 80px;
  }
}

.linear-gradient {
  background: linear-gradient(217deg, rgba(255,0,0,.8), rgba(255,0,0,0) 70.71%),
  linear-gradient(127deg, rgba(0,255,0,.8), rgba(0,255,0,0) 70.71%),
  linear-gradient(336deg, rgba(0,0,255,.8), rgba(0,0,255,0) 70.71%);
}

.radial-gradient {
  background: radial-gradient(closest-side, #3f87a6, #ebf8e1, #f69d3c);
}

.conic-gradient {
  color: white;
  background: conic-gradient(red, blue);
}

.block {
  width: 50%;
  height: 300px;
  margin-bottom: 50px;
}

.element {
  display: inline-block;
  background: linear-gradient(180deg,#ff8a00,#e52e71);
  height: 100px;
  width: 100px;
  font-size: 1px;
  padding: 1px;
  color: white;
  animation: skew 3s infinite;
  transform: skew(20deg);
  animation-direction: alternate;
  opacity: .7;
  margin: 50px 5px;
}

@keyframes skew {
  0% {
    transform: skew(20deg, 20deg);
  }
  100% {
    transform: skew(-20deg, -20deg);
  }
}

.one {
  transform: rotateX(40deg);
  animation: one 2s infinite;
  animation-direction: alternate;
}

.two {
  transform: rotateY(40deg);
  animation: two 2s infinite;
  animation-direction: alternate;
  background-color: #831a4a;
}

.three {
  transform: rotateZ(100deg);
  animation: three 2s infinite;
  animation-direction: alternate;
  background-color: #439772;
}

@keyframes one {
  0% {
    transform: rotateX(0);
  }
  100% {
    transform: rotateX(50deg);
  }
}

@keyframes two {
  0% {
    transform: rotateY(0);
  }
  100% {
    transform: rotateY(70deg);
  }
}

@keyframes three {
  0% {
    transform: rotateZ(0);
  }
  100% {
    transform: rotateZ(100deg);
  }
}

.platform {
  transform:
          perspective(75em)
          rotateX(18deg);
  box-shadow:
          rgba(22, 31, 39, 0.42) 0px 60px 123px -25px,
          rgba(19, 26, 32, 0.08) 0px 35px 75px -35px;
  border-radius: 10px;
  border: 1px solid;
  border-color:
          rgb(213, 220, 226)
          rgb(213, 220, 226)
          rgb(184, 194, 204);
}

.levitating {
  transform:
          rotateX(51deg)
          rotateZ(43deg);
  transform-style: preserve-3d;
  border-radius: 32px;
  box-shadow:
          1px 1px 0 1px #f9f9fb,
          -1px 0 28px 0 rgba(34, 33, 81, 0.01),
          28px 28px 28px 0 rgba(34, 33, 81, 0.25);
  transition:
          .4s ease-in-out transform,
          .4s ease-in-out box-shadow;

  &:hover {
    transform:
            translate3d(0px, -16px, 0px)
            rotateX(51deg)
            rotateZ(43deg);
    box-shadow:
            1px 1px 0 1px #f9f9fb,
            -1px 0 28px 0 rgba(34, 33, 81, 0.01),
            54px 54px 28px -10px rgba(34, 33, 81, 0.15);
  }
}

.transformation1 {
  background: linear-gradient(
                  325deg,#3f5efb,#fc466b);
  transform:
          perspective(800px)
          rotateY(25deg) scale(0.9)
          rotateX(10deg);
  filter: blur(2px);
  opacity: 0.5;
  transition: 0.6s ease all;

  &:hover {
    transform:
            perspective(800px)
            rotateY(-15deg)
            translateY(-50px)
            rotateX(10deg)
            scale(1);
    filter: blur(0);
    opacity: 1;
  }
}

.transformation2 {
  transform:
          scale(0.75)
          rotateY(-30deg)
          rotateX(45deg)
          translateZ(4.5rem);
  transform-origin: 50% 100%;
  transform-style: preserve-3d;
  box-shadow: 1rem 1rem 2rem rgba(0,0,0,0.25);
  transition: 0.6s ease transform;

  &:hover {
    transform: scale(1);
  }

  &::before {
    transform: translateZ(4rem);
    &:hover {
      transform: translateZ(0);
    }
  }

  &::after {
    transform: translateZ(-4rem);
    &:hover {
      transform: translateZ(-1px);
    }
  }
}

.demo-main {
  background: #F7FAFF;
}

.aligner {
  display: flex;
  justify-content: space-between;
  gap: 50px;
}

.demo-title {
  margin-bottom: 50px;
}

.index-page__banner-about {
  height: 710px;
  position: relative;
}

.banner__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left;
}

.banner__panel {
  background: hsla(0,0%,96.9%,.5);
  backdrop-filter: blur(20px);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 480px;
  padding: 64px;
  text-align: center;
}

.panel__title {
  font-family: 'Prata', serif;
  font-size: 36px;
  line-height: 48px;
  letter-spacing: .04em;
  font-weight: 400;
}

.panel__text {
  margin-top: 23px;
  font-size: 18px;
  line-height: 26px;
}

.panel__button {
  display: inline-block;
  margin-top: 30px;
  border-radius: 20px;
  padding: 9px 30px;
  font-size: 14px;
  line-height: 20px;
  transition: color .25s ease,background-color .25s ease, border-color .25s ease;
  border: 1px solid #111;
  color: #111;
  cursor: pointer;

  &:hover {
    color: #111;
    border-color: #b8bd53;
  }
}

.slider {
  position: relative;
}

.arrow {
  width: 48px;
  height: 48px;
  border-color: #000;
  position: absolute;
  top: 50%;
  margin-top: -31px;
  border-top: none;
  border-right: none;
  background: none;
  transition: $transitionDuration;

  &:hover {
    border-color: #0cc;
  }
}

.arrow-prev {
  border-bottom: 6px solid;
  border-left: 6px solid;
  transform: rotate(45deg);
  left: -10px;
}

.arrow-next {
  border-bottom: 6px solid;
  border-left: 6px solid;
  transform: rotate(-135deg);
  right: -10px;
}